@echo on

title TacticalOpsServer
::
:: to setup startup map and gametype please check Server-TacticalOps.ini
:: [URL]
:: .
:: .
:: LocalMap=....
::

::
:: GENERAL CONFIG
::
set UTBINARY=ucc.exe

::
:: if you use ucc to start set server
:: else
::
set UCCOPTIONS=server

::
:: dont use ~/.unrealtournament/
::
set OPTIONS=-nohomedir

::
:: INI FILES
::
set SERVERINI=Server-TacticalOps.ini
set USERINI=Server-User.ini

::
:: LOG OPTIONS
::
set LOGPREFIX=TacticalOpsServer
set LOGDIR=..\Logs
set SYSTEMLOGS=%LOGDIR%\system

:while
    md "%logdir%\system\%date%"
    set LOG="%LOGDIR%\system\%date%\%LOGPREFIX%-%TIME%.log"

    set CMDLINE=%UTBINARY% %UCCOPTIONS% -INI=%SERVERINI% -USERINI=%USERINI% -LOG=%LOG% %OPTIONS%
    title TacticalOpsServer %CMDLINE%
    %CMDLINE%

:: todo: sleep 10;
goto while
